#pragma once

#include <glm/vec2.hpp>

namespace game {
    /*
     * Trace of a missile through the space.
     * Useful for rendering sth. like a smoke trail to follow the rocket.
     */
    class Trace {
        public:
            Trace(const glm::vec2 &startPoint)
            {
                points.push_back(startPoint);
            }

            void addPoint(const glm::vec2 &p)
            {
                points.push_back(p);
            }

            std::vector<glm::vec2> points;
    };
}
